#pragma once

#include <Text.h>
#include <Server.h>

using namespace Framework;
using namespace Network;

class BeschreibungEditor
{
private:
    Text pfad;
    Text fehler;
    int ref;

public:
    // Konstruktor
    BeschreibungEditor( char *pf );
    // Destruktor
    ~BeschreibungEditor();
    // nicht constant
    bool prozessMessage( SKlient *zKlient );
    // constant
    char *getLetzterFehler() const;
    // Reference Counting
    BeschreibungEditor *getThis();
    BeschreibungEditor *release();
};